Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Based_Pointer_Repository_Rep Class Reference

Implementation for the ACE_Based_Pointer_Repository. More...

Collaboration diagram for ACE_Based_Pointer_Repository_Rep:

[legend]
List of all members.

## Public Types
typedef ACE_Map_Manager< void *, size_t, ACE_Null_Mutex > | MAP_MANAGER
typedef ACE_Map_Iterator< void *, size_t, ACE_Null_Mutex > | MAP_ITERATOR
typedef ACE_Map_Entry< void *, size_t > | MAP_ENTRY
## Public Attributes
MAP_MANAGER | addr_map_
ACE_SYNCH_MUTEX | lock_
| Synchronize concurrent access to the map.

## Detailed Description

Implementation for the ACE_Based_Pointer_Repository.

Every memory pool in ACE binds it's mapping base address and the mapped size to this repository every time it maps/remaps a new chunk of memory successfully.

## Member Typedef Documentation

typedef ACE_Map_Entry<void *, size_t> ACE_Based_Pointer_Repository_Rep::MAP_ENTRY

typedef ACE_Map_Iterator< void *, size_t, ACE_Null_Mutex> ACE_Based_Pointer_Repository_Rep::MAP_ITERATOR

typedef ACE_Map_Manager<void *, size_t, ACE_Null_Mutex> ACE_Based_Pointer_Repository_Rep::MAP_MANAGER

## Member Data Documentation

MAP_MANAGER ACE_Based_Pointer_Repository_Rep::addr_map_

| Keeps track of the mapping between addresses and their associated values.

ACE_SYNCH_MUTEX ACE_Based_Pointer_Repository_Rep::lock_

| Synchronize concurrent access to the map.

The documentation for this class was generated from the following file:

- Based_Pointer_Repository.cpp